Child pages
  • Office Connector Prerequisites
Skip to end of metadata
Go to start of metadata

You are viewing an old version of this page. View the current version.

Compare with Current View Page History

« Previous Version 6 Next »

The page describes the software and setup you need to use the Office Connector.

On this page:

Overall Prerequisites

Unknown macro: {hide}

The entire content of this page is included into other pages via the {include} macro.

  • Ensure that Java 5 (JDK 1.5) or higher is installed on your Confluence server.
  • The WebDAV plugin must be enabled, because the Office Connector uses WebDAV to transfer information to and from Office documents. Note that the WebDAV plugin is bundled with Confluence, and can be enabled or disabled by the System Administrator. If necessary, refer to the instructions on enabling plugins and configuring the WebDAV options.
  • Ensure that your Confluence server's base URL is set correctly. (Check it by going to the 'General Configuration' screen in the Confluence Administration Console, as described in Configuring the Server Base URL.) When a user edits a wiki page in Word and then uploads the page back to the Confluence server, the base URL determines where the document will be saved. If the base URL is incorrect, the documents may be saved to a different Confluence server.

Prerequisites for Displaying and Viewing Documents in Confluence

Unknown macro: {hide}

The entire content of this page is included into other pages via the {include} macro.

If you want to make use of the View File macro or to view Office files attached to a wiki page, you need the setup described below.

Browsers and Flash Player

You can use any browser to view an Office file on a wiki page or attachment view, provided that you have installed Adobe Flash Player version 9 or later. You do not need to have an Office desktop application installed on your computer, in order to view Office files in Confluence.

File Types

To be displayed in Confluence, the file needs to be a valid Microsoft Office 97-2007-compatible or PDF file, of the following types:

  • .doc and .docx
  • .xls and .xlsx
  • .ppt and .pptx
  • .pdf
Unknown macro: {hide}

If you are using OpenOffice to create and edit the documents, you will need to save your document in Microsoft Office 97-2003 format before attaching it to a Confluence page.

Prerequisites for Importing Documents into Confluence

Unknown macro: {hide}

The entire content of this page is included into other pages via the {include} macro.

  • Document import can import Microsoft Word documents of the file types .doc and .docx. These must be valid Word 97-2007 format documents.

Prerequisites for Editing Confluence Pages and Documents in Office

Unknown macro: {hide}

The entire content of this page is included into other pages via the {include} macro.

The Office Connector allows you to edit:

  • Office files embedded in a wiki page or from the page's attachments view
  • The contents of a wiki page in a compatible Office word processor application.

To make use of these editing capabilities, you will need the setup described below.

Browsers
Office File Editors

To edit Office files, you will need to have Microsoft Office, OpenOffice or NeoOffice installed. (See the configuration matrix below.)

  • If you are using Firefox, you can choose which of the above editors you want to use. The Firefox add-on allows you to configure this option for each file type. See Installing the Firefox Add-On for the Office Connector.
  • If you are using Internet Explorer, you will need Microsoft Office. You cannot edit Office files in OpenOffice when using Internet Explorer.
Configuration Matrix

You need one of the following software combinations to edit Office files from your wiki page:

Operating System

Office Version

Browser

  • Windows Vista, or
  • Windows XP with Service Pack 2 or 3
  • OpenOffice 2.x – 3.x, or
  • Microsoft Office XP, 2003 or 2007
  • Internet Explorer 6.x – 8.x, or
  • Firefox 2.x – 3.5
  • Mac OS X 10.5 and 10.6
  • NeoOffice 3.1.1 (Version 3.1.2 of Neo Office does not work. See ¿CONF-18365 for further information). 
  • The "Edit in Work" feature is known to work in OpenOffice 3.2.0.
  • Firefox 2.x – 3.5
  • Linux
  • OpenOffice 2.x – 3.x
    The only known supported Office editor for Linux is OpenOffice. But in theory it should work with any WebDAV-aware application.
  • Firefox 2.x – 3.5
RELATED TOPICS

Working with the Office Connector

Unable to render {children}. Page not found: DOC:Working with the Office Connector.

Configuring the Office Connector in the Confluence Administration Guide

Take me back to Confluence User Guide

  • No labels